OTBCLI_TRAINDIMENSIONALITYREDUCTION(1)

NAME
otbcli_TrainDimensionalityReduction - OTB TrainDimensionalityReduction application

DESCRIPTION
This is the Train Dimensionality Reduction (TrainDimensionalityReduction) application, version 6.6.0

Train a dimensionality reduction model Parameters:

-io <group> Input and output data

-io.vd <string> Input Vector Data (mandatory) -io.out <string> Output model (mandatory)

-io.stats
    <string> Input XML image statistics file (optional, off by default)

-feat <string list> Field names to be used for training. (mandatory)

-algorithm
    <string> algorithm to use for the training [som/autoencoder/pca] (mandatory, default value is som)

-algorithm.som.s
    <string list> Map size (optional, off by default, default value is 10

10 )

-algorithm.som.n
    <string list> Neighborhood sizes (optional, off by default, default value is 3

3 )

-algorithm.som.ni
    <int32> NumberIteration (optional, off by default, default value is 5)

-algorithm.som.bi
    <float> BetaInit (optional, off by default, default value is 1)

-algorithm.som.bf
    <float> BetaFinal (optional, off by default, default value is 0.1)

-algorithm.som.iv
    <float> InitialValue (optional, off by default, default value is 10)

-algorithm.autoencoder.nbiter
    <int32> Maximum number of iterations during training (mandatory, default value is 100)

-algorithm.autoencoder.nbiterfinetuning <int32>
    Maximum number of iterations during training (mandatory, default value is 0)

-algorithm.autoencoder.epsilon
    <float> Epsilon (mandatory, default value is 0)

-algorithm.autoencoder.initfactor
    <float> Weight initialization factor (mandatory, default value is 1)

-algorithm.autoencoder.nbneuron
    <string list> Size (mandatory)

-algorithm.autoencoder.regularization
    <string list> Strength of the regularization (mandatory)

-algorithm.autoencoder.noise
    <string list> Strength of the noise (mandatory)

-algorithm.autoencoder.rho
    <string list> Sparsity parameter (mandatory)

-algorithm.autoencoder.beta
    <string list> Sparsity regularization strength (mandatory)

-algorithm.autoencoder.learningcurve
    <string> Learning curve (optional, off by default)

-algorithm.pca.dim
    <int32> Dimension of the output of the pca transformation (mandatory, default value is 10)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

-progress
    <boolean> Report progress

-help
    <string list> Display long help (empty list), or help for given parameters keys

Use -help param1 [... paramN] to see detailed documentation of those parameters.

EXAMPLES
otbcli_TrainDimensionalityReduction -io.vd cuprite_samples.sqlite -io.out mode.ae -algorithm pca -algorithm.pca.dim 8 -feat value_0 value_1 value_2 value_3 value_4 value_5 value_6 value_7 value_8 value_9